#pragma once

#include "CoreMinimal.h"
#include "AISkill_Interaction.h"
#include "UObject/SoftObjectPtr.h"
#include "AISkill_Interaction_TacticianTeamInteractionSkill.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, EditInlineNew)
class UAISkill_Interaction_TacticianTeamInteractionSkill : public UAISkill_Interaction
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UStatusEffect> TacticianTeamSkillStatusEffectClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName BBGeneratorInteractorKey;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxGeneratorPercentToUse;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MinDistanceFromKiller;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 MinRepairingSurvivors;

public:
	UAISkill_Interaction_TacticianTeamInteractionSkill();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Interaction_TacticianTeamInteractionSkill) { return 0; }
